<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="enummdio__slave.html">mdio_slave</a></li><li class="navelem"><a class="el" href="classmdio__slave_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classmdio__slave_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a1218879a346eee8b2755eebbb1f8f1b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1218879a346eee8b2755eebbb1f8f1b7"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a1218879a346eee8b2755eebbb1f8f1b7">p_data</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mdc</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad71f07d9b5e0ca05ff573e7283c02431"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad71f07d9b5e0ca05ff573e7283c02431"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#ad71f07d9b5e0ca05ff573e7283c02431">p_state</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mdc</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a1218879a346eee8b2755eebbb1f8f1b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1218879a346eee8b2755eebbb1f8f1b7"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a1218879a346eee8b2755eebbb1f8f1b7">p_data</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mdc</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad71f07d9b5e0ca05ff573e7283c02431"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad71f07d9b5e0ca05ff573e7283c02431"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#ad71f07d9b5e0ca05ff573e7283c02431">p_state</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mdc</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:ab98f8f9bbdd0aa2aaec03a370137a806"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab98f8f9bbdd0aa2aaec03a370137a806"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#ab98f8f9bbdd0aa2aaec03a370137a806">phy_add</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a64b7fa46963b7f88c943729ee486fe76"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64b7fa46963b7f88c943729ee486fe76"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a64b7fa46963b7f88c943729ee486fe76">reg_add</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3f6296140fdf006d986d2413e8343411"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f6296140fdf006d986d2413e8343411"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a3f6296140fdf006d986d2413e8343411">reg_out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8ab06531bb378a40b08acaba59c82c1f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ab06531bb378a40b08acaba59c82c1f"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a8ab06531bb378a40b08acaba59c82c1f">reg_in</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3565678a46c6bf0ef8e423b9460bf662"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3565678a46c6bf0ef8e423b9460bf662"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a3565678a46c6bf0ef8e423b9460bf662">en_phy_add</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6121d6656dfa8d634cd84e5290985da5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6121d6656dfa8d634cd84e5290985da5"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a6121d6656dfa8d634cd84e5290985da5">en_reg_add</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a31ff4121de047ed3118fd2a1466544d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31ff4121de047ed3118fd2a1466544d7"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a31ff4121de047ed3118fd2a1466544d7">en_data_out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac4771ec49470266ace807dc7a87f6e61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4771ec49470266ace807dc7a87f6e61"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#ac4771ec49470266ace807dc7a87f6e61">en_data_in</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1dc9bc54e4e658f55a2e4729afe3a0d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1dc9bc54e4e658f55a2e4729afe3a0d8"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a1dc9bc54e4e658f55a2e4729afe3a0d8">shift_data_in</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac3c0ca7dad1d5efc33d494e8bc557a6d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3c0ca7dad1d5efc33d494e8bc557a6d"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#ac3c0ca7dad1d5efc33d494e8bc557a6d">phy_add_ok</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afbe647ae3a2ef85d965cfbc6acd49760"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afbe647ae3a2ef85d965cfbc6acd49760"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#afbe647ae3a2ef85d965cfbc6acd49760">cnt_32</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5e6359bfeeb6000c300fd9032655f113"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e6359bfeeb6000c300fd9032655f113"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a5e6359bfeeb6000c300fd9032655f113">run_cnt_32</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a671d898131242099dd3f053539ecfcbc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a671d898131242099dd3f053539ecfcbc"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a671d898131242099dd3f053539ecfcbc">ok_32</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a122b479afec07248232443ec0ca0cf2e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a122b479afec07248232443ec0ca0cf2e"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a122b479afec07248232443ec0ca0cf2e">ok_16</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aedcb131355ab80c7df3a6bc61b2b2c0e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aedcb131355ab80c7df3a6bc61b2b2c0e"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#aedcb131355ab80c7df3a6bc61b2b2c0e">ok_10</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a04c38e8fb081a5cda35494052f82022b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04c38e8fb081a5cda35494052f82022b"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a04c38e8fb081a5cda35494052f82022b">ok_5</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac4eb760a512b90b75ed3e86e282fb754"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4eb760a512b90b75ed3e86e282fb754"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#ac4eb760a512b90b75ed3e86e282fb754">cd_oe</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a800ba7791983d45d15cc35b2f9c4086e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a800ba7791983d45d15cc35b2f9c4086e"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a800ba7791983d45d15cc35b2f9c4086e">mux_0</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a130e4421f009dccd53cfb33dda45c5f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a130e4421f009dccd53cfb33dda45c5f7"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#a130e4421f009dccd53cfb33dda45c5f7">mdio_wait</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abadc2b5c1def800a7dfc2e37750025dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abadc2b5c1def800a7dfc2e37750025dd"></a>
<a class="el" href="classmdio__slave_1_1rtl.html#abadc2b5c1def800a7dfc2e37750025dd">mdio_run</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">16</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2mdio__slave_8vhd_source.html#l00065">65</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2mdio__slave_8vhd_source.html">mdio_slave.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2mdio__slave_8vhd_source.html">mdio_slave.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2mdio__slave_8vhd_source.html">mdio_slave.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
